#!/usr/bin/gnuplot

deg = pi/180.

set colors classic

set xl "x [arcsec]"
set yl "y [arcsec]"

tmp=0.75
set xr [-tmp:tmp]
set yr [-tmp:tmp]
set zeroaxis
set size ratio -1

p \
  "Sky2.dat" u (-$2*sin($3*deg)):($2*cos($3*deg)) w p,\
  "Sky3.dat" u (-$2*sin($3*deg)):($2*cos($3*deg)) w p,\
  "<awk '/DESCAMPS/'   Sky2.dat" u (-$2*sin($3*deg)):($2*cos($3*deg)):(sprintf("           %.1f", $1-2400000)) not w labels font "Helvetica,8" tc 'blue'    left,\
  "<awk '/SPHERE2017/' Sky2.dat" u (-$2*sin($3*deg)):($2*cos($3*deg)):(sprintf("           %.1f", $1-2400000)) not w labels font "Helvetica,8" tc '#00aaff' left,\
  "<awk '/SPHERE2018/' Sky2.dat" u (-$2*sin($3*deg)):($2*cos($3*deg)):(sprintf("           %.1f", $1-2400000)) not w labels font "Helvetica,8" tc 'cyan'    left,\
  "<awk '/DESCAMPS/'   Sky3.dat" u (-$2*sin($3*deg)):($2*cos($3*deg)):(sprintf("           %.1f", $1-2400000)) not w labels font "Helvetica,8" tc 'blue'    left,\
  "<awk '/SPHERE2017/' Sky3.dat" u (-$2*sin($3*deg)):($2*cos($3*deg)):(sprintf("           %.1f", $1-2400000)) not w labels font "Helvetica,8" tc '#00aaff' left,\
  "<awk '/SPHERE2018/' Sky3.dat" u (-$2*sin($3*deg)):($2*cos($3*deg)):(sprintf("           %.1f", $1-2400000)) not w labels font "Helvetica,8" tc 'cyan'    left,\
  "<awk '($1==2454744.884028)' Sky2.dat" u (-$2*sin($3*deg)):($2*cos($3*deg)) not w p lc 'red' pt 6 ps 2 lw 2,\
  "<awk '($1==2454744.884028)' Sky3.dat" u (-$2*sin($3*deg)):($2*cos($3*deg)) not w p lc 'red' pt 6 ps 2 lw 2,\

pa -1

set term png small size 2048,2048
set out "Sky_differential.png"
rep

q

  "<./ellipses.awk Sky2.dat" u 1:2 not w l lc 'orange',\
  "<awk '/DESCAMPS/'   Sky2.dat" u (-$2*sin($3*deg)):($2*cos($3*deg)) t "DESCAMPS"   w p,\
  "<awk '/SPHERE2017/' Sky2.dat" u (-$2*sin($3*deg)):($2*cos($3*deg)) t "SPHERE2017" w p,\
  "<awk '/SPHERE2018/' Sky2.dat" u (-$2*sin($3*deg)):($2*cos($3*deg)) t "SPHERE2018" w p,\

  "<awk '!/^#/{ print 0,0; print $2,$3; print s; }' photocentre.dat" u ($1*1e-3):($2*1e-3) w l
# p "<awk '/DESCAMPS/' Sky2.dat" u ($2*cos($3*deg)):($2*sin($3*deg)) w p


